Name: jadetex
Version: 3.13
Release: alt1

Packager: Yury Konovalov <yurix@altlinux.ru>

%define TeXdir %(cd `kpsewhich -expand-var '$TEXMFMAIN'`/../..; pwd)

Group: Publishing
Summary: TeX macros used by Jade TeX output
Summary(ru_RU.KOI8-R):  TeX   DVI  PDF   OpenJade
License: Distributable (C) Sebastian Rahtz <s.rahtz@elsevier.co.uk>

URL: http://jadetex.sourceforge.net/
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
Source1:%name-ru-test-0.1.tar.bz2
Source2: ftp://ftp.ptc.spbu.ru/people/uwe/sgml/koi8r.dcl
Source3: jadefmtutil.cnf

Patch1: %name-3.12-rh-theta.patch
Patch2: %name-3.12-alt-urwtex.patch

BuildArch: noarch
BuildPreReq: tetex-core >= 2.0 tetex-latex >= 2.0 urw-tex cm-super-fonts-tex
Requires: tetex-core >= 2.0 tetex-latex >= 2.0
#Next need for real work
Requires: tetex-dvips >= 2.0 urw-tex cm-super-fonts-tex
Requires: openjade sgml-common >= 0.5 
Requires(post): tetex-core >= 2.0
Obsoletes: jadetex-urw-test

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.

%description -l ru_RU.KOI8-R
JadeTeX      LaTeX   
  tex- OpenJade   DVI, Postscript  PDF.

%prep
%setup -q
#%patch1 -p1
%patch2 -p1
tar jxvf %SOURCE1
%__rm -f doc/.cvsignore .cvsignore

%build
%make_build

%install
make install DESTDIR=%buildroot

%__mkdir -p %buildroot%TeXdir/bin
%__ln_s virtex %buildroot%TeXdir/bin/jadetex
%__ln_s pdfvirtex %buildroot%TeXdir/bin/pdfjadetex

%__mkdir -p %buildroot%_man1dir
%__install -m644 *.1 %buildroot%_man1dir

#next is used in case latex version is
#changed, so we should be able to reformat the macros without reinstalling
%__install -m644 *.ini *.sty %SOURCE3  %buildroot%TeXdir/share/texmf/tex/%name

#next is for processing SGML files in KOI8-R charset. sgml-common seems to me 
#a better place for it.
%__install -d %buildroot/usr/share/sgml/
%__install -m644 %SOURCE2 %buildroot/usr/share/sgml/

%post
%_bindir/env - PATH=$PATH:%TeXdir/bin texhash > /dev/null 2>&1
%_bindir/env - PATH=$PATH:%TeXdir/bin fmtutil --cnffile %TeXdir/share/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0

%triggerin -- tetex-latex
%_bindir/env - PATH=$PATH:%TeXdir/bin fmtutil --cnffile %TeXdir/share/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0

%files
%TeXdir/bin/%name
%TeXdir/bin/pdf%name
%_man1dir/*

%TeXdir/share/texmf/web2c/%name.fmt
%TeXdir/share/texmf/web2c/pdf%name.fmt

%dir %TeXdir/share/texmf/tex/%name
%TeXdir/share/texmf/tex/%name/*

%doc ChangeLog doc ru-test

#%TeXdir/share/texmf/tex/%name/dsssl.def
#%TeXdir/share/texmf/tex/%name/isoents.tex
#%TeXdir/share/texmf/tex/%name/%name.ltx
#%TeXdir/share/texmf/tex/%name/%name.ini
#%TeXdir/share/texmf/tex/%name/pdf%name.ini
#%TeXdir/share/texmf/tex/%name/dummyels.sty
#%TeXdir/share/texmf/tex/%name/mlnames.sty
#%TeXdir/share/texmf/tex/%name/ucharacters.sty
#%TeXdir/share/texmf/tex/%name/uentities.sty
#%TeXdir/share/texmf/tex/%name/unicode.sty
#%TeXdir/share/texmf/tex/%name/jadefmtutil.cnf

%dir /usr/share/sgml
/usr/share/sgml/koi8r.dcl

%changelog
* Thu Oct 16 2003 Yury Konovalov <yurix@altlinux.org> 3.13-alt1
- 3.13
- added dependency on urw-tex and cm-super-fonts-tex fonts package (bug #2473)
- merge ru-test example with the main package
- spec clean-up
- Russian description added

* Sat Feb 01 2003 Yurix <yurix@altlinux.ru> 3.12-alt6
- Rebuild against tetex-2.0-alt1

* Fri Jan 17 2003 Alexander Bokovoy <ab@altlinux.ru> 3.12-alt5
- Rebuild against tetex-2.0-alt0.8 since plain.tex has been changed
  by D.Knuth.

* Sun Jan 12 2003 Yurix <yurix@altlinux.ru> 3.12-alt4
- add urw-tex to BuildPreReq to fix missing urw support
- move ru-test to separate package

* Sat Dec 07 2002 Yurix <yurix@altlinux.ru> 3.12-alt3
- add support for urw-tex fonts
- add example for russian users

* Wed Dec 04 2002 AEN <aen@altlinux.ru> 3.12-alt2
- rebuild with new tetex

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 3.12-alt1
- 3.12

* Mon Dec 03 2001 Stanislav Ievlev <inger@altlinux.ru> 3.11-alt1
- 3.11

* Sun Dec 24 2000 AEN <aen@logic.ru>
- adopted for RE

* Mon Oct 16 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-5mdk
- use hugelatex instead of latex

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-4mdk
- Add support for Italian with patch i18n

* Mon Sep 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-3mdk
- Why was the binary missing?

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-2mdk
- add buildrequires and rebuild upon new tetex release

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-1mdk
- 2.20
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance

